DRM_PLANE_HELPER_DIS(9)

NAME
drm_plane_helper_disable - Helper for primary plane disable

SYNOPSIS

int drm_plane_helper_disable(struct drm_plane * plane);

ARGUMENTS

plane
    plane to disable

DESCRIPTION

Provides a default plane disable handler using the atomic plane update functions. It is fully left to the driver to check plane constraints and handle corner-cases like a fully occluded or otherwise invisible plane.

This is useful for piecewise transitioning of a driver to the atomic helpers.

RETURNS

Zero on success, error code on failure

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT